"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.install = void 0;
var tslib_1 = require("tslib");
var module_1 = tslib_1.__importDefault(require("module"));
var esbuild_1 = require("./esbuild");
var source_map_support_1 = require("source-map-support");
var Module = module_1.default;
function install(options) {
    source_map_support_1.install({ hookRequire: true });
    var defaultLoaderJS = Module._extensions[".js"];
    var _loop_1 = function (ext) {
        var defaultLoader = Module._extensions[ext] || defaultLoaderJS;
        Module._extensions[ext] = function (mod, filename) {
            if (esbuild_1.supports(filename)) {
                var defaultCompile_1 = mod._compile;
                mod._compile = function (code) {
                    mod._compile = defaultCompile_1;
                    return mod._compile(esbuild_1.transpile(code, filename, options), filename);
                };
            }
            defaultLoader(mod, filename);
        };
    };
    for (var ext in esbuild_1.loaders) {
        _loop_1(ext);
    }
}
exports.install = install;
//# sourceMappingURL=hook.js.map